> For the complete documentation index, see [llms.txt](https://docs.autogon.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.autogon.ai/other-apis/project/create-a-new-project.md).

# Create a New Project

## Creates a new project.

<mark style="color:green;">`POST`</mark> `https://autogon.ai/api/v1/engine/project/`

Creates a new project.

#### Request Body

| Name                                                   | Type   | Description                   |
| ------------------------------------------------------ | ------ | ----------------------------- |
| project\_name<mark style="color:red;">\*</mark>        | string | Unique name of project        |
| project\_description<mark style="color:red;">\*</mark> | String | short description for project |

{% tabs %}
{% tab title="200 Project successfully created" %}

```javascript
{
    "id": 1,
    "app_id": "",
    "project_name": "",
    "project_description": "",
    "project_compiled_models": null,
    "created_at": ""
}
```

{% endtab %}

{% tab title="401 Project already exists" %}

```
{
    "status": "false",
    "message": "This project name already exists"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.autogon.ai/other-apis/project/create-a-new-project.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
